%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libolecf
Version:	20201004
Release:	1%{?dist}
Summary:	Library to access the Object Linking and Embedding (OLE) Compound File (CF) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libolecf/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool gcc

%description
libolecf is a library to access the Object Linking and Embedding (OLE) Compound File (CF) format

%package devel
Summary: Header files and libraries for developing applications for libolecf
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libolecf.

%package tools
Summary: Several tools for accessing the Object Linking and Embedding (OLE) Compound Files (CF)
Group: Applications/System
Requires: %{name} = %{version}-%{release}  fuse-libs
BuildRequires:  fuse-devel

%description tools
Several tools for accessing the Object Linking and Embedding (OLE) Compound Files (CF)

%package python2
Summary: Python bindings for libolecf
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python bindings for libolecf

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libolecf
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} 
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libolecf
%endif

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/olecfexport
%attr(755,root,root) %{_bindir}/olecfinfo
%attr(755,root,root) %{_bindir}/olecfmount
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sun Oct  4 2020 Lawrence R. Rogers <lrr@cert.org> 20201004-1
* Release 20201004-1
	Version 20201004

* Fri Jul 24 2020 Lawrence R. Rogers <lrr@cert.org> 20200724-1
* Release 20200724-1
	Version 20200724

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
	Version 20191104

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20181231-4
* Release 20181231-4
	Version 20181231-4: Uses python3_pkgversion for the current version of Python 3.

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181231-3
* Release 20181231-3
	Release 3 - Removed conflicts when that arise when python2 and python3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181231-2
* Release 20181231-2
        Version as of 20181231
	-python packages renamed to -python2

* Mon Dec 31 2018 Lawrence R. Rogers <lrr@cert.org> 20181231-1
* Release 20181231-1
	Version 20181231.

* Sun Nov 25 2018 Lawrence R. Rogers <lrr@cert.org> 20181125-1
* Release 20181125-1
	Version 20181125.

* Fri Aug 25 2017 Lawrence R. Rogers <lrr@cert.org> 20170825-1
* Release 20170825-1
	Version 20170825.

* Tue Sep 20 2016 Lawrence R. Rogers <lrr@cert.org> 20160814-2
* Release 20160814-2
	Added support Python 3 for Fedora 20-24 and CentOS/RHEL 7.

* Sat Aug 14 2016 Lawrence R. Rogers <lrr@cert.org> 20160814-1
* Release 20160814-1
	Version 20160814

* Sat Apr 23 2016 Lawrence R. Rogers <lrr@cert.org> 20160423-1
* Release 20160423-1
	20160109
	* fixes for rpmbuild

* Thu Jan  7 2016 Lawrence R. Rogers <lrr@cert.org> 20160107-1
* Release 20160107-1
	20160107
	* worked on Python 3 support
	* 2016 update

* Wed Dec 23 2015 Lawrence R. Rogers <lrr@cert.org> 20151223-1
* Release 20151223-1
	20151223
	* worked on format support

	20151222
	* applied updates

	20151205
	* worked on Python bindings

	20150823
	* changed version for pypi repacking

	20150822
	* worked on setup.py

* Tue Jun 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150630-1
* Release 20150630-1
	20150630
	* Changed version

* Mon Jun 29 2015 Lawrence R. Rogers <lrr@cert.org> 20150629-1
* Release 20150629-1
	20150629
	* bug fixes after fuzzing with AFL

* Mon Jun  8 2015 Lawrence R. Rogers <lrr@cert.org> 20150608-1
* Release 20150608-1
	20150608
	* worked on format support

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150413-2
* Release 20150413-2
	Libuna GCC-5 Patch

* Mon Apr 13 2015 Lawrence R. Rogers <lrr@cert.org> 20150413-1
* Release 20150413-1
	20150413
	* improved support file without directory entries

	20150328
	* added more bounds checks

* Tue Jan  6 2015 Lawrence R. Rogers <lrr@cert.org> 20150106-1
* Release 20150106-1
	20150106
	* 2015 update

	20141222
	* worked on Python 3 support

	20141221
	* worked on Python 3 support

	20141220
	* worked on Python 3 support
	* worked on tests

	20141219
	* worked on Python 3 support

	20141216
	* worked on Python 3 support

	20141130
	* code clean up

	20141119
	* code clean up

* Sun Oct 26 2014 Lawrence R. Rogers <lrr@cert.org> 20141026-1
* Release 20141026-1
	20141026
	* changes for deployment

* Fri Oct 24 2014 Lawrence R. Rogers <lrr@cert.org> 20141024-1
* Release 20141024-1
	20141024
	* changes for deployment
	* changes for project site move

	20141019
	* changes for deployment

	20141004
	* bug fix in Python-bindings
	* update Python-bindings tests

	20140930
	* removed README.macosx
	* changes for project site move

	20140810
	* worked on libfwps support

* Fri Aug  1 2014 Lawrence R. Rogers <lrr@cert.org> 20140801-1
* Release 20140801-1
	20140801
	* bug fix in Python-bindings

	20140727
	* worked on olecfmount Dokan support

	20140726
	* updated dependencies

	20140329
	* small changes to Makefile

	20140323
	* worked on Python bindings

	20140317
	* worked on setup.py

	20140301
	* 2014 update
	* updated dependencies
	* worked on Python bindings

	20131209
	* updated dependencies

* Fri Nov  8 2013 Joachim Metz <joachim.metz@gmail.com> 20131108-1
- Auto-generated

